import * as core from "@terrascript/core";

export interface EndpointRouteTableAssociationArgs extends core.ResourceArgs {
  routeTableId: string | core.StringOut;

  vpcEndpointId: string | core.StringOut;
}

export class EndpointRouteTableAssociation extends core.Resource<EndpointRouteTableAssociationArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public routeTableId!: string | core.StringOut;

  @core.attr(String)
  public vpcEndpointId!: string | core.StringOut;

  constructor(name: string, args?: EndpointRouteTableAssociationArgs) {
    super(name, "aws_vpc_endpoint_route_table_association", args);
  }

  public override getNamespace(): string {
    return "aws_vpc";
  }
}
